# KDE kasutaja käsiraamat

&Lauri.Watts; &Lauri.Watts.mail;
07. juuni 2005
KDE töökeskkond
kate
1

# `kate`

&kde; võimas tekstiredaktor

    kate -s, --start  nimi  -u, --use -p, --pid pid -e, --encoding  nimi -l, --line  rida -c, --column  veerg -i, --stdin KDE üldised võtmed Qt üldised võtmed

## Kirjeldus

&kate; on &kde; võimas tekstiredaktor.

&kate; pakub ka &kwrite;'i nime all redaktorikomponenti paljudele teistele rakendustele.

&kate; arvukate omaduste hulka kuuluvad seadistatav süntaksi esiletõstmine paljude keelte korral alates C ja C++ keelest HTML-keele ja Bash'i skriptideni, projektide loomise ja hooldamise võimalus, mitmedokumendiliides (MDI) ja sisseehitatud terminaliemulaator.

Kuid &kate; on palju enam kui vaid programmeerija redaktor. Oskus avada palju faile korraga muudab selle ideaalseks vahendiks &UNIX; arvukate konfiguratsioonifailide redigeerimisel. Ka käesolev dokument on kirjutatud &kate;ga.

## Võtmed

`-s`, `--start` nimi

  Käivitab &kate; määratud seansiga.

`-u, --use`

  Kasutab juba töötavat &kate; protsessi.

`-p, --pid` pid

  Üritatakse kasutada Kate protsessi ID-ga pid.

`-e, --encoding` nimi

  Avatava faili kodeeringu määramine.

  Sellega võib sundida näiteks faili avama UTF-8 kodeeringus (käsk `iconv -l` näitab saadaolevaid kodeeringuid).

`-l, --line` rida

  Liigub määratud reale.

`-c, --column` veerg

  Liigub määratud veerule.

`-i, --stdin`

  Loeb sisu standardsisendist `stdin`.

## Vaata ka

Põhjalikumat kasutaja dokumentatsiooni pakub help:/kate (kirjuta see &URL; &konqueror;i või käivita käsuga ``khelpcenter` `help:/kate``).

Täiendavat infot leiab ka &kate; koduleheküljelt.

## Näited

Faili `source.cpp` avamiseks veerus 15 ja real 25 olemasolevas &kate; aknas tuleb anda käsk:

    kate -c 15 -l
    25 -u source.cpp

Kui sul on internetiühendus, võid ära kasutada &kde; võrguläbipaistvuse võimalusi faili avamiseks näiteks FTP-saidilt. Kui sul ei ole võrguserveris kirjutamisõigust, avatakse fail kirjutuskaitstuna ning sa pead selle salvestama enda arvutis, kui soovid teha muutatusi. Kui sul on aga kirjutamisõigus, salvestatakse muudatused otsekohe üle võrgu serverisse.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autorid

&kate; hooldaja on &Christoph.Cullmann; &Christoph.Cullmann.mail;. Autorite ja kaasautorite täieliku nimekirja leiab eespool mainitud kasutaja käsiraamatust.